TestVisualAgeCCompiler (cpptasks 1.0b5 Test API)
Keywords: net.sf.antcontrib.cpptasks.ibm.TestVisualAgeCCompiler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.cpptasks.ibm
Class TestVisualAgeCCompiler

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              net.sf.antcontrib.cpptasks.ibm.TestVisualAgeCCompiler

All Implemented Interfaces:
  junit.framework.Test

    public class TestVisualAgeCCompiler

extends junit.framework.TestCase

Test IBM Visual Age compiler adapter

Constructor Summary
`TestVisualAgeCCompiler(java.lang.String name)`

Method Summary
`void` | `testBidAssembly()`
`void` | `testBidC()`
`void` | `testBidCpp()`
`void` | `testBidCpp2()`
`void` | `testBidCpp3()`
`void` | `testBidCpp4()`
`void` | `testBidPreprocessed()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestVisualAgeCCompiler

    public TestVisualAgeCCompiler(java.lang.String name)

Method Detail

### testBidC

    public void testBidC()

### testBidCpp

    public void testBidCpp()

### testBidCpp2

    public void testBidCpp2()

### testBidCpp3

    public void testBidCpp3()

### testBidCpp4

    public void testBidCpp4()

### testBidPreprocessed

    public void testBidPreprocessed()

### testBidAssembly

    public void testBidAssembly()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Ant-Contrib Project. All Rights Reserved.